OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.VertexAttrib64Bit

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTVertexAttrib64Bit :: MonadIO m => m Bool
- gl_EXT_vertex_attrib_64bit :: Bool
- pattern GL_DOUBLE :: GLenum
- pattern GL_DOUBLE_MAT2_EXT :: GLenum
- pattern GL_DOUBLE_MAT2x3_EXT :: GLenum
- pattern GL_DOUBLE_MAT2x4_EXT :: GLenum
- pattern GL_DOUBLE_MAT3_EXT :: GLenum
- pattern GL_DOUBLE_MAT3x2_EXT :: GLenum
- pattern GL_DOUBLE_MAT3x4_EXT :: GLenum
- pattern GL_DOUBLE_MAT4_EXT :: GLenum
- pattern GL_DOUBLE_MAT4x2_EXT :: GLenum
- pattern GL_DOUBLE_MAT4x3_EXT :: GLenum
- pattern GL_DOUBLE_VEC2_EXT :: GLenum
- pattern GL_DOUBLE_VEC3_EXT :: GLenum
- pattern GL_DOUBLE_VEC4_EXT :: GLenum
- glGetVertexAttribLdvEXT :: MonadIO m => GLuint -> GLenum -> Ptr GLdouble -> m ()
- glVertexAttribL1dEXT :: MonadIO m => GLuint -> GLdouble -> m ()
- glVertexAttribL1dvEXT :: MonadIO m => GLuint -> Ptr GLdouble -> m ()
- glVertexAttribL2dEXT :: MonadIO m => GLuint -> GLdouble -> GLdouble -> m ()
- glVertexAttribL2dvEXT :: MonadIO m => GLuint -> Ptr GLdouble -> m ()
- glVertexAttribL3dEXT :: MonadIO m => GLuint -> GLdouble -> GLdouble -> GLdouble -> m ()
- glVertexAttribL3dvEXT :: MonadIO m => GLuint -> Ptr GLdouble -> m ()
- glVertexAttribL4dEXT :: MonadIO m => GLuint -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glVertexAttribL4dvEXT :: MonadIO m => GLuint -> Ptr GLdouble -> m ()
- glVertexAttribLPointerEXT :: MonadIO m => GLuint -> GLint -> GLenum -> GLsizei -> Ptr a -> m ()

# Extension Support

glGetEXTVertexAttrib64Bit :: MonadIO m => m Bool Source #

Is the EXT_vertex_attrib_64bit extension supported?

gl_EXT_vertex_attrib_64bit :: Bool Source #

Is the EXT_vertex_attrib_64bit extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTVertexAttrib64Bit` in those cases instead.

# Enums

pattern GL_DOUBLE :: GLenum Source #

pattern GL_DOUBLE_MAT2_EXT :: GLenum Source #

pattern GL_DOUBLE_MAT2x3_EXT :: GLenum Source #

pattern GL_DOUBLE_MAT2x4_EXT :: GLenum Source #

pattern GL_DOUBLE_MAT3_EXT :: GLenum Source #

pattern GL_DOUBLE_MAT3x2_EXT :: GLenum Source #

pattern GL_DOUBLE_MAT3x4_EXT :: GLenum Source #

pattern GL_DOUBLE_MAT4_EXT :: GLenum Source #

pattern GL_DOUBLE_MAT4x2_EXT :: GLenum Source #

pattern GL_DOUBLE_MAT4x3_EXT :: GLenum Source #

pattern GL_DOUBLE_VEC2_EXT :: GLenum Source #

pattern GL_DOUBLE_VEC3_EXT :: GLenum Source #

pattern GL_DOUBLE_VEC4_EXT :: GLenum Source #

# Functions

glGetVertexAttribLdvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname` of type VertexAttribEnum.
-> Ptr GLdouble | `params` pointing to `COMPSIZE(pname)` elements of type `GLdouble`.
-> m () |

This command is an alias for `glGetVertexAttribLdv`.

glVertexAttribL1dEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLdouble | `x`.
-> m () |

This command is an alias for `glVertexAttribL1d`.

glVertexAttribL1dvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLdouble | `v` pointing to `1` element of type `GLdouble`.
-> m () |

This command is an alias for `glVertexAttribL1dv`.

glVertexAttribL2dEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> m () |

This command is an alias for `glVertexAttribL2d`.

glVertexAttribL2dvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLdouble | `v` pointing to `2` elements of type `GLdouble`.
-> m () |

This command is an alias for `glVertexAttribL2dv`.

glVertexAttribL3dEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> m () |

This command is an alias for `glVertexAttribL3d`.

glVertexAttribL3dvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLdouble | `v` pointing to `3` elements of type `GLdouble`.
-> m () |

This command is an alias for `glVertexAttribL3dv`.

glVertexAttribL4dEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> GLdouble | `w`.
-> m () |

This command is an alias for `glVertexAttribL4d`.

glVertexAttribL4dvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLdouble | `v` pointing to `4` elements of type `GLdouble`.
-> m () |

This command is an alias for `glVertexAttribL4dv`.

glVertexAttribLPointerEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLint | `size`.
-> GLenum | `type` of type VertexAttribPointerType.
-> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `size` elements of type `a`.
-> m () |

This command is an alias for `glVertexAttribLPointer`.